Great Deal! Get Instant $10 FREE in Account on First Order + 10% Cashback on Every Order Order Now

Assignment/.git/COMMIT_EDITMSG reorganized files into "data" and "images" folders Assignment/.git/config [core] repositoryformatversion = 0 filemode = false bare = false logallrefupdates = true...

1 answer below »
Assignment/.git/COMMIT_EDITMSG
eorganized files into "data" and "images" folders
Assignment/.git/config
[core]
    repositoryformatversion = 0
    filemode = false
    bare = false
    logallrefupdates = true
    symlinks = false
    ignorecase = true
Assignment/.git/description
Unnamed repository; edit this file 'description' to name the repository.
Assignment/.git/HEAD
ef: refs/heads/maste
Assignment/.git/hooks/applypatch-msg.sample
#!
in/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:
Assignment/.git/hooks/commit-msg.sample
#!
in/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB"
"$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
     sort | uniq -c | sed -e '/^[     ]*1[     ]/d')" || {
    echo >&2 Duplicate Signed-off-by lines.
    exit 1
}
Assignment/.git/hooks/fsmonitor-watchman.sample
#!/us
in/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https:
facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (cu
ently 1) and a time in nanoseconds
# formatted as a string and outputs to stdout all files that have been
# modified since the given time. Paths must be relative to the root of
# the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $time) = @ARGV;
# Check the hook interface version
if ($version == 1) {
    # convert nanoseconds to seconds
    # subtract one second to make sure watchman will return all changes
    $time = int ($time / XXXXXXXXXX;
} else {
    die "Unsupported query-fsmonitor hook version '$version'.\n" .
     "Falling back to scanning...\n";
}
my $git_work_tree;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
    $git_work_tree = Win32::GetCwd();
    $git_work_tree =~ t
\\/\
;
} else {
    require Cwd;
    $git_work_tree = Cwd::cwd();
}
my $retry = 1;
launch_watchman();
sub launch_watchman {
    my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
     or die "open2() failed: $!\n" .
     "Falling back to scanning...\n";
    # In the query expression below we're asking for names of files that
    # changed since $time but were not transient (ie created afte
    # $time but no longer exist).
    #
    # To accomplish this, we're using the "since" generator to use the
    # recency index to select candidate nodes and "fields" to limit the
    # output to file names only.
    my $query =
"    END";
        ["query", "$git_work_tree", {
            "since": $time,
            "fields": ["name"]
        }]
    END
    print CHLD_IN $query;
    close CHLD_IN;
    my $response = do {local $/; };
    die "Watchman: command returned no output.\n" .
     "Falling back to scanning...\n" if $response eq "";
    die "Watchman: command returned invalid output: $response\n" .
     "Falling back to scanning...\n" unless $response =~ /^\{/;
    my $json_pkg;
    eval {
        require JSON::XS;
        $json_pkg = "JSON::XS";
        1;
    } or do {
        require JSON::PP;
        $json_pkg = "JSON::PP";
    };
    my $o = $json_pkg->new->utf8->decode($response);
    if ($retry > 0 and $o->{e
or} and $o->{e
or} =~ m/unable to resolve root .* directory (.*) is not watched/) {
        print STDERR "Adding '$git_work_tree' to watchman's watch list.\n";
        $retry--;
        qx/watchman watch "$git_work_tree"/;
        die "Failed to make watchman watch '$git_work_tree'.\n" .
         "Falling back to scanning...\n" if $? != 0;
        # Watchman will always return all files on the first query so
        # return the fast "everything is dirty" flag to git and do the
        # Watchman query just to get it over with now so we won't pay
        # the cost in git to look up each individual file.
        print "/\0";
        eval { launch_watchman() };
        exit 0;
    }
    die "Watchman: $o->{e
or}.\n" .
     "Falling back to scanning...\n" if $o->{e
or};
    binmode STDOUT, ":utf8";
    local $, = "\0";
    print @{$o->{files}};
}
Assignment/.git/hooks/post-update.sample
#!
in/sh
#
# An example hook script to prepare a packed repository for use ove
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info
Assignment/.git/hooks/pre-applypatch.sample
#!
in/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:
Assignment/.git/hooks/pre-commit.sample
#!
in/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD
dev/null 2>&1
then
    against=HEAD
else
    # Initial commit: diff against an empty tree object
    against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)
# Redirect output to stde
.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
    # Note that the use of
ackets around a tr range is ok here, (it's
    # even required, for portability to Solaris 10's /us
in/tr), since
    # the square
acket bytes happen to fall in the designated range.
    test $(git diff --cached --name-only --diff-filter=A -z $against |
     LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
    cat
\EOF
E
or: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
    exit 1
fi
# If there are whitespace e
ors, print the offending file names and fail.
exec git diff-index --check --cached $against --
Assignment/.git/hooks/pre-merge-commit.sample
#!
in/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git merge" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message to
# stde
if it wants to stop the merge commit.
#
# To enable this hook, rename this file to "pre-merge-commit".
. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
XXXXXXXXXXexec "$GIT_DIR/hooks/pre-commit"
:
Assignment/.git/hooks/pre-push.sample
#!
in/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
#
emote ref>
emote sha1
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
emote="$1"
url="$2"
z40=00000000000000000000 XXXXXXXXXX
while read local_ref local_sha remote_ref remote_sha
do
    if [ "$local_sha" = $z40 ]
    then
        # Handle delete
        :
    else
        if [ "$remote_sha" = $z40 ]
        then
            # New
anch, examine all commits
            range="$local_sha"
        else
            # Update to existing
anch, examine new commits
            range="$remote_sha..$local_sha"
        fi
        # Check for WIP commit
        commit=`git rev-list -n 1 --grep '^WIP' "$range"`
        if [ -n "$commit" ]
        then
            echo >&2 "Found WIP commit in $local_ref, not pushing"
            exit 1
        fi
    fi
done
exit 0
Assignment/.git/hooks/pre-rebase.sample
#!
in/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the
anch being rebased (or empty when rebasing the cu
ent
anch).
#
# This sample shows how to prevent topic
anches that are already
# merged to 'next'
anch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
ase
anch="$1"
if test "$#" = 2
then
    topic="refs/heads/$2"
else
    topic=`git symbolic-ref HEAD` ||
    exit 0 ;# we do not inte
upt rebasing detached HEAD
fi
case "$topic" in
efs/heads/??/*)
    ;;
*)
    exit 0 ;# we do not inte
upt others.
    ;;
esac
# Now we are dealing with a topic
anch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
    echo >&2 "No such
anch $topic"
    exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
    echo >&2 "$topic is fully merged to master; better remove it."
    exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
    not_in_topic=`git rev-list "^$topic" master`
    if test -z "$not_in_topic"
    then
        echo >&2 "$topic is already up to date with master"
        exit 1 ;# we could allow it, but there is no point.
    else
        exit 0
    fi
else
    not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
    /us
in/perl -e '
        my $topic = $ARGV[0];
        my $msg = "* $topic has commits already merged to public
anch:\n";
        my (%not_in_next) = map {
            /^([0-9a-f]+) /;
            ($1 => 1);
        } split(/\n/,
Answered Same Day Mar 02, 2021

Solution

Neha answered on Mar 03 2021
143 Votes
Answer 1
According to the given scenario the best cluster in the best-silhouette model is cluster with 3 as the value of k. The graph clearly shows the best optimal solution is for the value of K as 3. Other values are not best for the given scenario.
After comparing the clustering model, I found that the cluster for kmeans of 5 was better and easier to understand....
SOLUTION.PDF

Answer To This Question Is Available To Download

Related Questions & Answers

More Questions »

Submit New Assignment

Copy and Paste Your Assignment Here